## org.apache.myfaces.application.jsp
Class JspViewHandlerImpl

    java.lang.Object
      javax.faces.application.ViewHandler
          org.apache.myfaces.application.jsp.JspViewHandlerImpl

public class JspViewHandlerImpl
extends javax.faces.application.ViewHandler

Version:
  $Revision: 279920 $ $Date: 2005-09-09 20:07:49 -0400 (Fri, 09 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: oros $)

Field Summary
`static java.lang.String` `FORM_STATE_MARKER`
`static int` `FORM_STATE_MARKER_LEN`

Fields inherited from class javax.faces.application.ViewHandler
`CHARACTER_ENCODING_KEY, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME`

Constructor Summary
`JspViewHandlerImpl()`

Method Summary
`java.util.Locale` `calculateLocale(javax.faces.context.FacesContext facesContext)`
`java.lang.String` `calculateRenderKitId(javax.faces.context.FacesContext facesContext)`
`javax.faces.component.UIViewRoot` `createView(javax.faces.context.FacesContext facesContext, java.lang.String viewId)`
`java.lang.String` `getActionURL(javax.faces.context.FacesContext facesContext, java.lang.String viewId)`
`java.lang.String` `getResourceURL(javax.faces.context.FacesContext facesContext, java.lang.String path)`
`protected java.lang.String` `getViewIdPath(javax.faces.context.FacesContext facescontext, java.lang.String viewId)`
`void` `renderView(javax.faces.context.FacesContext facesContext, javax.faces.component.UIViewRoot viewToRender)`
`javax.faces.component.UIViewRoot` `restoreView(javax.faces.context.FacesContext facesContext, java.lang.String viewId)`
`void` `writeState(javax.faces.context.FacesContext facesContext)` Writes a state marker that is replaced later by one or more hidden form inputs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORM_STATE_MARKER

    public static final java.lang.String FORM_STATE_MARKER

See Also:
  Constant Field Values

### FORM_STATE_MARKER_LEN

    public static final int FORM_STATE_MARKER_LEN

Constructor Detail

### JspViewHandlerImpl

    public JspViewHandlerImpl()

Method Detail

### calculateLocale

    public java.util.Locale calculateLocale(javax.faces.context.FacesContext facesContext)

### calculateRenderKitId

    public java.lang.String calculateRenderKitId(javax.faces.context.FacesContext facesContext)

### createView

    public javax.faces.component.UIViewRoot createView(javax.faces.context.FacesContext facesContext,
                                                       java.lang.String viewId)

### getActionURL

    public java.lang.String getActionURL(javax.faces.context.FacesContext facesContext,
                                         java.lang.String viewId)

### getResourceURL

    public java.lang.String getResourceURL(javax.faces.context.FacesContext facesContext,
                                           java.lang.String path)

### renderView

    public void renderView(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIViewRoot viewToRender)
                    throws java.io.IOException,
                           javax.faces.FacesException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`

### restoreView

    public javax.faces.component.UIViewRoot restoreView(javax.faces.context.FacesContext facesContext,
                                                        java.lang.String viewId)

### writeState

    public void writeState(javax.faces.context.FacesContext facesContext)
                    throws java.io.IOException

  Writes a state marker that is replaced later by one or more hidden form inputs.

  Parameters:
    `facesContext` -
  Throws:
    `java.io.IOException`

### getViewIdPath

    protected java.lang.String getViewIdPath(javax.faces.context.FacesContext facescontext,
                                             java.lang.String viewId)